﻿using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DrawingTool
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           
            Diagram.IsSymbolPaletteEnabled = true;
            Node n = new Node();
            n.Width = 100;
            n.Height = 100;
            n.Shape = Shapes.Rectangle;
            n.OffsetX = 200;
            n.OffsetY = 200; 
            n.Ports.CollectionChanged+=Ports_CollectionChanged;
           
            ConnectionPort port1 = addport(n, 50, 0);
           
            n.Ports.Add(port1);
            
                    
            diagramModel.Nodes.Add(n);
        }

        void Ports_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if(e.NewItems != null)
            {
                if ((e.NewItems[0] as ConnectionPort).Name != null && (e.NewItems[0] as ConnectionPort).Name.Equals("PART_Sync_CenterPort"))
                {
                    (e.NewItems[0] as ConnectionPort).Node.Ports.Remove(e.NewItems[0] as ConnectionPort);
                }
            }
        }

      

        private ConnectionPort addport(Node node,double x,double y)
        {
            ConnectionPort port = new ConnectionPort();
            port.Left = x;
            port.Top = y;
            port.Width = 10;
            port.Height = 10;
            port.Node = node;
            port.PortVisibility = PortVisibility.AlwaysVisible;
           
            port.MouseEnter += port_MouseEnter;
            return port;
        }

        void port_MouseEnter(object sender, MouseEventArgs e)
        {
            diagramView.EnableDrawingTools = true;
            diagramView.DrawingTool = DrawingTools.OrthogonalLine;
        }
    }
}
